<back to all web services

GetProjects

The following routes are available for this service:
GET/RestApi/translations/projects
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
Imports Telerik.Sitefinity.Translations.Model

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Model

        Public Enum ProjectStatus
            NotStarted
            Started
            Completed
        End Enum
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects

        Public Partial Class GetProjects
            Implements IProjectsFilter
            Public Overridable Property Skip As Integer?
            Public Overridable Property Take As Integer?
            Public Overridable Property OrderExpression As String
            Public Overridable Property SearchText As String Implements IProjectsFilter.SearchText
            Public Overridable Property Service As String() Implements IProjectsFilter.Service
            Public Overridable Property ProjectStatus As ProjectStatus? Implements IProjectsFilter.ProjectStatus
            Public Overridable Property ActualSourceLanguage As String Implements IProjectsFilter.ActualSourceLanguage
            Public Overridable Property WithoutSourceLanguage As Boolean Implements IProjectsFilter.WithoutSourceLanguage
        End Class
    End Namespace
End Namespace

VB.NET GetProjects DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.